<?php

namespace App\Model;

use Nette;
use Nette\Database\Table\ActiveRow;

/**
 * Class for handling activities related to experiences
 * @package App\Model
 */
class ExperienceManager {
    use Nette\SmartObject;

    private Nette\Database\Explorer $database;

    public function __construct(Nette\Database\Explorer $database) {
        $this->database = $database;
    }

    /**
     * Function to add experience record to given project
     * @param int $project_id project identifier
     * @param string $subject subject name
     * @param string $experienceUse description
     */
    public function addExperience(int $project_id, string $subject, string $experienceUse) {
        $this->database->table('EXPERIENCE')->insert([
            'project_id' => $project_id,
            'subject' => $subject,
            'experience' => $experienceUse,
        ]);
    }

}