<?php

namespace App\Presenters;

use App\Model\AssignmentManager;
use App\Model\Constants;
use App\Model\InterestManager;
use App\Model\RoleManager;
use App\Model\StudentManager;
use App\Model\TeamManager;
use App\Model\UserManager;
use Nette;

/**
 * Presenter class to handle requests to page with assignment list
 */
class AssignmentListPresenter extends BasePresenter {

    public AssignmentManager $assignmentManager;
    public StudentManager $studentManager;
    public InterestManager $interestManager;
    public TeamManager $teamManager;

    public function __construct(AssignmentManager $assignmentManager,
    StudentManager $studentManager, InterestManager $interestManager, TeamManager $teamManager) {
        parent::__construct();
        $this->assignmentManager = $assignmentManager;
        $this->studentManager = $studentManager;
        $this->interestManager = $interestManager;
        $this->teamManager = $teamManager;
    }

    public function renderDefault():void {
        $this->template->assignments = $this->assignmentManager->getFreeAssignments()
            ->where("hidden", Constants::$ASSIGNMENT_VISIBILITY_PUBLIC)
            ->where('period', $this->configManager->getActualPeriod());

    }
}