<?php

declare(strict_types=1);

namespace App\Presenters;

use App\Model\RoleManager;
use Nette;

/**
 * Presenter class to handle requests to homepage
 */
class HomepagePresenter extends BasePresenter {

    public function __construct() {
        parent::__construct();
    }

    public function startup() {
        parent::startup();

        if(!$this->getUser()->isLoggedIn()) {
            $this->redirect('AssignmentList:');
        }

        if($this->getUser()->isInRole(RoleManager::$ROLE_LEADER)) {
            $this->redirect('Team:');
        }

        if($this->getUser()->isInRole(RoleManager::$ROLE_MENTOR)) {
            $this->redirect('MentoredProjects:');
        }

        if($this->getUser()->isInRole(RoleManager::$ROLE_GARANT)) {
            $this->redirect('TeamManagement:');
        }
    }

    public function renderDefault() {

    }

}