<?php
/**
 * TEST: Test for get valid name from args
 * @testCase
 */

use App\Model\Utils;
use Tester\Assert;

require __DIR__ . '/bootstrap.php';

class GetValidNameFromArgsTest extends Tester\TestCase
{


    /**
     * @test
     */
    public function testGetValidFullname() {
        $firstName = "John";
        $lastName = "Doe";
        $actualName= Utils::getValidNameFromArgs($firstName,$lastName);
        $expectedName = "John Doe";
        Assert::same($expectedName,$actualName,"Name is not in valid format");
    }

    /**
     * @test
     */
    public function testGetValidFirstName() {
        $firstName = "John";
        $lastName = null;
        $actualName= Utils::getValidNameFromArgs($firstName,$lastName);
        $expectedName = "John";
        Assert::same($expectedName,$actualName,"Name is not in valid format");
    }

    /**
     * @test
     */
    public function testGetValidLastName() {
        $firstName = null;
        $lastName = "Doe";
        $actualName= Utils::getValidNameFromArgs($firstName,$lastName);
        $expectedName = "Doe";
        Assert::same($expectedName,$actualName,"Name is not in valid format");
    }

    /**
     * @test
     */
    public function testGetNoName() {
        $firstName = null;
        $lastName = null;
        $actualName= Utils::getValidNameFromArgs($firstName,$lastName);
        $expectedName = null;
        Assert::same($expectedName,$actualName,"Name is not in valid format");
    }

}

(new GetValidNameFromArgsTest())->run();
