<?php
/**
 * TEST: Test for generating random string
 * @testCase
 */

use App\Model\Utils;
use Tester\Assert;

require __DIR__ . '/bootstrap.php';

class IsPasswordStrongTest extends Tester\TestCase
{


    /**
     * @test
     */
    public function testIsPasswordStrongTrue() {
        $password = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
        $actual = Utils::isPasswordStrong($password);
        Assert::true($actual,"Password ". $password ." is not strong.");
    }

    /**
     * @test
     */
    public function testIsPasswordStrongFalse() {
        $password = 'abcdefg1234';
        $actual = Utils::isPasswordStrong($password);
        Assert::false($actual,"Password ". $password ." is not strong.");
    }

    /**
     * @test
     */
    public function testIsPasswordStrongEmpty() {
        $password = '';
        $actual = Utils::isPasswordStrong($password);
        Assert::false($actual,"Password ". $password ." is not strong.");
    }


}

(new IsPasswordStrongTest())->run();
