<?php
/**
 * TEST: Test actions with other project links
 * @testCase
 */

use App\Model\Utils;
use Tester\Assert;

require __DIR__ . '/bootstrap.php';

class ProjectOtherLinksIsValidUrlTest extends Tester\TestCase
{

	
	/**
     * @test
     */
	public function testIsUrlTrue() {
        $url = "https://www.facebook.com";
        $expected = true;
        $actual = Utils::isStringUrl($url);
        Assert::equal($expected,$actual,"Url: ".$url." is not valid url!\n");
    }

    /**
     * @test
     */
    public function testIsUrlFalse() {
        $url = "www.facebook.com";
        $expected = false;
        $actual = Utils::isStringUrl($url);
        Assert::equal($expected,$actual,"Url: ".$url." is not valid url!\n");
    }

    /**
     * @test
     */
    public function testIsUrlFalseRandom() {
        $url = "abcd";
        $expected = false;
        $actual = Utils::isStringUrl($url);
        Assert::equal($expected,$actual,"Url: ".$url." is not valid url!\n");
    }

    /**
     * @test
     */
    public function testIsUrlFalseDiacritic() {
        $url = "+ěšščřčřžžýýžáéíáúúů";
        $expected = false;
        $actual = Utils::isStringUrl($url);
        Assert::equal($expected,$actual,"Url: ".$url." is not valid url!\n");
    }

    /**
     * @test
     */
    public function testIsUrlEmpty() {
        $url = "";
        $expected = false;
        $actual = Utils::isStringUrl($url);
        Assert::equal($expected,$actual,"Url: ".$url." is not valid url!\n");
    }
}

(new ProjectOtherLinksIsValidUrlTest())->run();
