-- MariaDB dump 10.19  Distrib 10.5.15-MariaDB, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: PSTSP
-- ------------------------------------------------------
-- Server version	10.5.15-MariaDB-1:10.5.15+maria~bullseye

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `ASSIGNMENT`
--

DROP TABLE IF EXISTS `ASSIGNMENT`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ASSIGNMENT` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  `description` longtext DEFAULT NULL,
  `team_size` int(11) DEFAULT NULL,
  `period` int(11) NOT NULL,
  `user_id` int(11) DEFAULT NULL COMMENT 'mentor',
  `contact_id` int(11) NOT NULL COMMENT 'zadavatel',
  `duration` int(11) DEFAULT NULL,
  `hidden` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `fk_period_idx` (`period`),
  KEY `fk_assignment_mentor_idx` (`user_id`),
  KEY `fk_assignment_creator_idx` (`contact_id`),
  CONSTRAINT `fk_assignment_creator` FOREIGN KEY (`contact_id`) REFERENCES `CONTACT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_assignment_mentor` FOREIGN KEY (`user_id`) REFERENCES `USER` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_assignments_periods` FOREIGN KEY (`period`) REFERENCES `PERIOD` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ASSIGNMENT_FILE`
--

DROP TABLE IF EXISTS `ASSIGNMENT_FILE`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ASSIGNMENT_FILE` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file` mediumblob NOT NULL,
  `upload_time` timestamp NULL DEFAULT current_timestamp(),
  `assignment_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `filename` text NOT NULL,
  `filesize` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `assignment_id_UNIQUE` (`assignment_id`),
  KEY `fk_upload_user_idx` (`user_id`),
  KEY `fk_assighment_idx` (`assignment_id`),
  CONSTRAINT `fk_assighment_files_assignment` FOREIGN KEY (`assignment_id`) REFERENCES `ASSIGNMENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_assignment_files_upload_user` FOREIGN KEY (`user_id`) REFERENCES `USER` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ASSIGNMENT_INTEREST`
--

DROP TABLE IF EXISTS `ASSIGNMENT_INTEREST`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ASSIGNMENT_INTEREST` (
  `assignment_id` int(11) NOT NULL,
  `team_id` int(11) NOT NULL,
  `created_time` datetime NOT NULL,
  `weight` int(1) NOT NULL DEFAULT 3,
  `state` int(1) NOT NULL DEFAULT 3,
  `mentor_evaluation` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`assignment_id`,`team_id`),
  UNIQUE KEY `team_id_weight_state` (`team_id`,`weight`,`state`),
  KEY `fk_team_idx` (`team_id`),
  CONSTRAINT `fk_assignment` FOREIGN KEY (`assignment_id`) REFERENCES `ASSIGNMENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_team` FOREIGN KEY (`team_id`) REFERENCES `TEAM` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ASSIGNMENT_TAG`
--

DROP TABLE IF EXISTS `ASSIGNMENT_TAG`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ASSIGNMENT_TAG` (
  `assignment` int(11) NOT NULL,
  `tag_id` int(11) NOT NULL,
  PRIMARY KEY (`assignment`,`tag_id`),
  KEY `fk_tag_idx` (`tag_id`),
  CONSTRAINT `fk_assignment_tags_assignment` FOREIGN KEY (`assignment`) REFERENCES `ASSIGNMENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_assignment_tags_tag` FOREIGN KEY (`tag_id`) REFERENCES `TAG` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `CONTACT`
--

DROP TABLE IF EXISTS `CONTACT`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CONTACT` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `firstname` varchar(100) DEFAULT NULL,
  `lastname` varchar(100) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `phone` varchar(45) DEFAULT NULL,
  `info` tinytext DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=46 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `DEFENCE`
--

DROP TABLE IF EXISTS `DEFENCE`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DEFENCE` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `datetime` datetime NOT NULL DEFAULT current_timestamp(),
  `evaluation` mediumtext DEFAULT NULL,
  `grade` int(11) DEFAULT NULL,
  `PROJECT` int(11) NOT NULL,
  `attempt` int(5) NOT NULL,
  `result` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `fk_project_idx` (`PROJECT`),
  CONSTRAINT `fk_defences_project` FOREIGN KEY (`PROJECT`) REFERENCES `PROJECT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `EVALUATION`
--

DROP TABLE IF EXISTS `EVALUATION`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `EVALUATION` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `evaluation` mediumtext NOT NULL,
  `project` int(11) NOT NULL,
  `author` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_project_idx` (`project`),
  KEY `fk_author_idx` (`author`),
  CONSTRAINT `fk_evaluation_author` FOREIGN KEY (`author`) REFERENCES `USER` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_evaluation_project` FOREIGN KEY (`project`) REFERENCES `PROJECT` (`id`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `EXPERIENCE`
--

DROP TABLE IF EXISTS `EXPERIENCE`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `EXPERIENCE` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `subject` varchar(45) NOT NULL,
  `experience` varchar(45) NOT NULL,
  `project_id` int(11) NOT NULL,
  `state` int(1) NOT NULL DEFAULT 0,
  `leader_state` int(1) NOT NULL DEFAULT 0,
  `mentor_state` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `fk_experience_project_idx` (`project_id`),
  CONSTRAINT `fk_experience_project` FOREIGN KEY (`project_id`) REFERENCES `PROJECT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `MEETING`
--

DROP TABLE IF EXISTS `MEETING`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MEETING` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `project_id` int(11) NOT NULL,
  `datetime` datetime NOT NULL,
  `info` text NOT NULL,
  `person` text NOT NULL,
  `place` text NOT NULL,
  `linking` varchar(45) DEFAULT NULL,
  `detail_info` text DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_project_idx` (`project_id`),
  CONSTRAINT `fk_meetings_project` FOREIGN KEY (`project_id`) REFERENCES `PROJECT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=56 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `PERIOD`
--

DROP TABLE IF EXISTS `PERIOD`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `PERIOD` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `label` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `PROGRESS`
--

DROP TABLE IF EXISTS `PROGRESS`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `PROGRESS` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(256) NOT NULL,
  `order` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `PROGRESS_STATE`
--

DROP TABLE IF EXISTS `PROGRESS_STATE`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `PROGRESS_STATE` (
  `project_id` int(11) NOT NULL,
  `progress_id` int(11) NOT NULL,
  `state` int(1) NOT NULL DEFAULT 0,
  `leader_state` int(1) NOT NULL DEFAULT 0,
  `mentor_state` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`project_id`,`progress_id`),
  KEY `fs_progress_progress_idx` (`progress_id`),
  CONSTRAINT `fk_progress_project` FOREIGN KEY (`project_id`) REFERENCES `PROJECT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fs_progress_progress` FOREIGN KEY (`progress_id`) REFERENCES `PROGRESS` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `PROJECT`
--

DROP TABLE IF EXISTS `PROJECT`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `PROJECT` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `assignment_id` int(11) NOT NULL,
  `team_id` int(11) NOT NULL,
  `prj_storage` varchar(255) DEFAULT NULL,
  `project_management` varchar(255) DEFAULT NULL,
  `app_production` varchar(255) DEFAULT NULL,
  `other_links` text DEFAULT NULL,
  `completion_status` int(1) NOT NULL DEFAULT 0,
  `course_credit_tsp1` datetime DEFAULT NULL,
  `course_credit_tsp2` datetime DEFAULT NULL,
  `start_date` datetime NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `assignment_id_UNIQUE` (`assignment_id`),
  UNIQUE KEY `team_id_UNIQUE` (`team_id`),
  KEY `fk_assignment_idx` (`assignment_id`),
  KEY `fk_team_idx` (`team_id`),
  CONSTRAINT `fk_projects_assignment` FOREIGN KEY (`assignment_id`) REFERENCES `ASSIGNMENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_projects_team` FOREIGN KEY (`team_id`) REFERENCES `TEAM` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `REQUIREMENT`
--

DROP TABLE IF EXISTS `REQUIREMENT`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `REQUIREMENT` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `order` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `REQUIREMENT_STATE`
--

DROP TABLE IF EXISTS `REQUIREMENT_STATE`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `REQUIREMENT_STATE` (
  `project_id` int(11) NOT NULL,
  `requirement_id` int(11) NOT NULL,
  `state` int(1) NOT NULL DEFAULT 0,
  `leader_state` int(1) NOT NULL DEFAULT 0,
  `mentor_state` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`requirement_id`,`project_id`),
  KEY `fk_project_idx` (`project_id`),
  KEY `fk_requirements_requirement_idx` (`requirement_id`),
  CONSTRAINT `fk_requirements_project` FOREIGN KEY (`project_id`) REFERENCES `PROJECT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fs_requirements_requirement` FOREIGN KEY (`requirement_id`) REFERENCES `REQUIREMENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ROLE`
--

DROP TABLE IF EXISTS `ROLE`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ROLE` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `color` varchar(100) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `SETTING`
--

DROP TABLE IF EXISTS `SETTING`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SETTING` (
  `key` varchar(128) NOT NULL,
  `value` varchar(256) NOT NULL,
  PRIMARY KEY (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `STUDENT`
--

DROP TABLE IF EXISTS `STUDENT`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `STUDENT` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(45) DEFAULT NULL,
  `firstname` varchar(45) DEFAULT NULL,
  `lastname` varchar(45) DEFAULT NULL,
  `personalID` varchar(45) DEFAULT NULL,
  `email` varchar(200) DEFAULT NULL,
  `field_of_study` tinytext DEFAULT NULL,
  `faculty` varchar(45) DEFAULT NULL,
  `team_id` int(11) DEFAULT NULL,
  `period_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_student_team_idx` (`team_id`),
  KEY `email` (`email`(191)),
  KEY `fk_student_period_idx` (`period_id`),
  CONSTRAINT `fk_student_period` FOREIGN KEY (`period_id`) REFERENCES `PERIOD` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_student_team` FOREIGN KEY (`team_id`) REFERENCES `TEAM` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=774 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TAG`
--

DROP TABLE IF EXISTS `TAG`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TAG` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` tinytext NOT NULL,
  `applicable` int(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TEAM`
--

DROP TABLE IF EXISTS `TEAM`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TEAM` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) NOT NULL COMMENT 'leader',
  `period` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `is_complete` tinyint(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `fk_team_leader_idx` (`student_id`),
  KEY `fk_team_period_idx` (`period`),
  CONSTRAINT `fk_teams_period` FOREIGN KEY (`period`) REFERENCES `PERIOD` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `fk_teams_student` FOREIGN KEY (`student_id`) REFERENCES `STUDENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TEAM_ROLE`
--

DROP TABLE IF EXISTS `TEAM_ROLE`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TEAM_ROLE` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `label` varchar(45) DEFAULT NULL,
  `color` varchar(45) DEFAULT NULL,
  `applicable` int(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TEAM_ROLE_STUDENT`
--

DROP TABLE IF EXISTS `TEAM_ROLE_STUDENT`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TEAM_ROLE_STUDENT` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `student_id` int(11) NOT NULL,
  `team_role_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_USER_TEAM_ROLE_student_idx` (`student_id`),
  KEY `fk_USER_TEAM_ROLE_role_idx` (`team_role_id`),
  CONSTRAINT `fk_USER_TEAM_ROLE_role` FOREIGN KEY (`team_role_id`) REFERENCES `TEAM_ROLE` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_USER_TEAM_ROLE_student` FOREIGN KEY (`student_id`) REFERENCES `STUDENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TEAM_SKILL`
--

DROP TABLE IF EXISTS `TEAM_SKILL`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TEAM_SKILL` (
  `teams_id` int(11) NOT NULL,
  `tags_id` int(11) NOT NULL,
  `weight` int(11) NOT NULL DEFAULT 1,
  PRIMARY KEY (`teams_id`,`tags_id`),
  KEY `fk_tag_idx` (`tags_id`),
  CONSTRAINT `fk_team_skills_tag` FOREIGN KEY (`tags_id`) REFERENCES `TAG` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_team_skills_team` FOREIGN KEY (`teams_id`) REFERENCES `TEAM` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `TERM`
--

DROP TABLE IF EXISTS `TERM`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `TERM` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(45) NOT NULL,
  `date` date NOT NULL,
  `description` mediumtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `USER`
--

DROP TABLE IF EXISTS `USER`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `USER` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(45) NOT NULL,
  `password` varchar(100) DEFAULT NULL,
  `lastlogin` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `role_id` int(11) NOT NULL DEFAULT 3,
  `student_id` int(11) DEFAULT NULL,
  `contact_id` int(11) DEFAULT NULL,
  `recover_token` varchar(256) DEFAULT NULL,
  `recover_token_valid_time` timestamp NULL DEFAULT NULL,
  `email` varchar(256) NOT NULL,
  `created_time` timestamp NOT NULL DEFAULT current_timestamp(),
  `can_login` int(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `fk_user_student_idx` (`student_id`),
  KEY `fk_user_role_idx` (`role_id`),
  KEY `fk_user_contact_idx` (`contact_id`),
  KEY `recover_token` (`recover_token`(191)),
  KEY `login` (`login`),
  KEY `email` (`email`(191)),
  CONSTRAINT `fk_user_contact` FOREIGN KEY (`contact_id`) REFERENCES `CONTACT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_user_role` FOREIGN KEY (`role_id`) REFERENCES `ROLE` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_user_student` FOREIGN KEY (`student_id`) REFERENCES `STUDENT` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=85 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `WORKLOG`
--

DROP TABLE IF EXISTS `WORKLOG`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `WORKLOG` (
  `id` int(11) NOT NULL,
  `TEAM` int(11) NOT NULL,
  `text` longtext NOT NULL,
  `datetime` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_team_idx` (`TEAM`),
  CONSTRAINT `fk_worklog_team` FOREIGN KEY (`TEAM`) REFERENCES `TEAM` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2022-05-04 22:55:30
